org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCacheGetRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest
    - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheKeyRequest
      - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheGetRequest

All Implemented Interfaces:
  ClientListenerRequest, ClientTxAwareRequest

    public class ClientCacheGetRequest
    extends ClientCacheKeyRequest

Cache get request.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`ClientCacheGetRequest(BinaryRawReaderEx reader)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isTransactional()` Gets a value indicating whether request was made under transaction.
`ClientResponse` `process0(ClientConnectionContext ctx)`
`int` `txId()` Gets transaction ID.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheKeyRequest

`key, process`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest

`cache, cacheDescriptor, cacheDescriptor, cacheId, cachex, isKeepBinary, rawCache`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.platform.client.tx.ClientTxAwareRequest

`isTransactional, txId`

### Constructor Detail

#### ClientCacheGetRequest

    public ClientCacheGetRequest(BinaryRawReaderEx reader)

Constructor.

Parameters:
  `reader` - Reader.

### Method Detail

#### process0

    public ClientResponse process0(ClientConnectionContext ctx)

Specified by:
  `process0` in class `ClientCacheKeyRequest`

#### txId

    public int txId()

Gets transaction ID.

#### isTransactional

    public boolean isTransactional()

Gets a value indicating whether request was made under transaction.

Overrides:
  `isTransactional` in class `ClientCacheRequest`
Returns:
  Flag value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023